Package org.jetbrains.annotations

## Class ApiStatus

- java.lang.Object
- - org.jetbrains.annotations.ApiStatus

-     public final class ApiStatus
      extends Object

  Set of annotations which can be used to specify status of API Element.
  Since:
    18.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ApiStatus.AvailableSince` | Indicates that the annotated element firstly appeared in the specified version of the library, so the code using that element won't be compatible with older versions of the library.
    `static interface` | `ApiStatus.Experimental` | Indicates that a public API of the annotated element (class, method or field) is not in stable state yet.
    `static interface` | `ApiStatus.Internal` | Indicates that the annotated element (class, method, field, etc) must not be considered as a public API.
    `static interface` | `ApiStatus.NonExtendable` | Indicates that the annotated API class, interface or method must not be extended, implemented or overridden.
    `static interface` | `ApiStatus.OverrideOnly` | Indicates that the annotated method is part of SPI (Service Provider Interface), which is intended to be only implemented or overridden but not called by clients of the declaring library.
    `static interface` | `ApiStatus.ScheduledForRemoval` | Indicates that a public API of the annotated element (class, method or field) is subject to removal in a future version.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApiStatus()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiStatus

          public ApiStatus()